AstrologyAPI

Use access token to call astrology api.

Learn More

Match Making Report

POSThttps://json.astrologyapi.com/v1/match_making_report
Copy

The match_making_report API returns a report on the compatibility between two individuals based on several factors such as ashtakoota, manglik, rajju dosha, and vedha dosha. The response includes the status and details for each factor and concludes with a match report recommending the marriage.

POST/match_making_report
Copy
1curl --location 'https://json.astrologyapi.com/v1/match_making_report' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "m_day": 10,
6    "m_month": 5,
7    "m_year": 1990,
8    "m_hour": 11,
9    "m_min": 55,
10    "m_lat": 19.2056,
11    "m_lon": 25.2056,
12    "m_tzone": 5.5,
13    "f_day": 10,
14    "f_month": 5,
15    "f_year": 1990,
16    "f_hour": 11,
17    "f_min": 55,
18    "f_lat": 19.2056,
19    "f_lon": 25.2056,
20    "f_tzone": 5.5
21}'
22
200Response
Copy
1{
2  "ashtakoota": {
3    "status": true,
4    "received_points": 21
5  },
6  "manglik": {
7    "status": true,
8    "male_percentage": 27.5,
9    "female_percentage": 28.25
10  },
11  "rajju_dosha": {
12    "status": false
13  },
14  "vedha_dosha": {
15    "status": false
16  },
17  "conclusion": {
18    "match_report": "Marriage between the prospective bride and groom is highly recommended. The couple would have a long-lasting relationship, which would be filled with happiness and affluence."
19  }
20}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

m_day

int

required

Day of birth, eg: 10

m_month

int

required

Month of birth, eg: 5

m_year

int

required

Year of birth, eg: 1990

m_hour

int

required

Hour of birth, eg: 11

m_min

int

required

Minute of birth, eg: 55

m_lat

float

required

Latitude, eg: 19.2056

m_lon

float

required

Longitude, eg: 25.2056

m_tzone

float

required

Timezone, eg: 5.5

f_day

int

required

Day of birth, eg: 10

f_month

int

required

Month of birth, eg: 5

f_year

int

required

Year of birth, eg: 1990

f_hour

int

required

Hour of birth, eg: 11

f_min

int

required

Minute of birth, eg: 55

f_lat

float

required

Latitude, eg: 19.2056

f_lon

float

required

Longitude, eg: 25.2056

f_tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.